Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench.module
Class StatusInfoDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          com.developmentontheedge.application.dialog.OkCancelDialog
                              biouml.workbench.module.StatusInfoDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, JobControlListener, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class StatusInfoDialog
extends OkCancelDialog
implements JobControlListener

Dialog for status info

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected TextPaneAppender` | `appender`

Fields inherited from class com.developmentontheedge.application.dialog.OkCancelDialog
`buttonPanel, cancelButton, ERROR, okButton, result, SUCCESS`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`StatusInfoDialog(ApplicationFrame frame, java.lang.String title, org.apache.log4j.Category cat, JobControl jobControl)` A constructor

Method Summary
`protected void` | `cancelPressed()` "Cancel" button is pressed.
`void` | `fails()`
`void` | `jobPaused(JobControlEvent event)` Invoked when job process is paused
`void` | `jobResumed(JobControlEvent event)` Invoked when job process is resumed after termination
`void` | `jobStarted(JobControlEvent event)` Invoked when job is started for the first time.
`void` | `jobTerminated(JobControlEvent event)` Invoked when job is terminated.
`protected void` | `okPressed()` Calls when ok button is pressed.
`void` | `resultsReady(JobControlEvent event)` Invoked when part of results is ready
`void` | `setInfo(java.lang.String info)`
`void` | `setMinMax(int min, int max)`
`void` | `setPreparedness(int value)`
`void` | `startProcess(java.lang.Thread thread)`
`void` | `success()`
`void` | `valueChanged(JobControlEvent event)` Invoked when preparedness of job is changed.

Methods inherited from class com.developmentontheedge.application.dialog.OkCancelDialog
`doModal, exited, getCancelButton, getOkButton, setContent`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### appender

    protected TextPaneAppender appender

Constructor Detail

### StatusInfoDialog

    public StatusInfoDialog(ApplicationFrame frame,
                            java.lang.String title,
                            org.apache.log4j.Category cat,
                            JobControl jobControl)

  A constructor

Parameters:
  `frame` - a frame

Method Detail

### setInfo

    public void setInfo(java.lang.String info)

### setMinMax

    public void setMinMax(int min,
                          int max)

### setPreparedness

    public void setPreparedness(int value)

### startProcess

    public void startProcess(java.lang.Thread thread)

### okPressed

    protected void okPressed()

  Calls when ok button is pressed.

  Overrides:
    `okPressed` in class `OkCancelDialog`
  To do:
    HIGH Generate name.

### cancelPressed

    protected void cancelPressed()

  Description copied from class: `OkCancelDialog`
  "Cancel" button is pressed.
  Override this method when specific processing is needed for "Cancel" button.

  Overrides:
    `cancelPressed` in class `OkCancelDialog`

### success

    public void success()

### fails

    public void fails()

### valueChanged

    public void valueChanged(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when preparedness of job is changed. Use `event.getPreparedness()` for getting percent of job preparedness.

  Specified by:
    `valueChanged` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event
  See Also:
    `JobControlEvent.getPreparedness()`

### jobStarted

    public void jobStarted(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when job is started for the first time.

  Specified by:
    `jobStarted` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

### jobTerminated

    public void jobTerminated(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when job is terminated.
  Use `event.getStatus()` for getting cause of termination.

  Specified by:
    `jobTerminated` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event
  See Also:
    `JobControlEvent.getStatus()`

### jobPaused

    public void jobPaused(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when job process is paused

  Specified by:
    `jobPaused` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

### jobResumed

    public void jobResumed(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when job process is resumed after termination

  Specified by:
    `jobResumed` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

### resultsReady

    public void resultsReady(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when part of results is ready

  Specified by:
    `resultsReady` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.